<template>
	<Dialog v-model="show" :options="{ title: '添加新卡片' }">
		<template #body-content>
			<div
				v-if="showMessage"
				class="mb-5 inline-flex gap-1.5 text-base text-gray-700"
			>
				<FeatherIcon class="h-4" name="info" />
				<span> 在更改支付方式之前，请至少添加一张卡片。 </span>
			</div>
			<CardForm
				@success="
					() => {
						show = false;
						emit('success');
					}
				"
			/>
		</template>
	</Dialog>
</template>
<script setup>
import CardForm from './CardForm.vue';
import { Dialog, FeatherIcon } from 'jingrow-ui';

const props = defineProps({
	showMessage: {
		type: Boolean,
		default: false
	}
});

const emit = defineEmits(['success']);
const show = defineModel();
</script>